%define name textroom
%define version 0.8.2
%define release %mkrel 2

Summary: TextRoom basic full-screen text editor
Name: %{name}
Version: %{version}
Release: %{release}
Source0:  http://code.google.com/p/textroom/%{name}-%{version}.tar.xz
Patch1: textroom-0.8.2-fix-hunspell.patch
Patch2:	textroom-fix-imports-for-gcc4.7.x.patch
Group: Terminals
License: GPL
URL: http://code.google.com/p/textroom/
BuildRequires:	qt4-devel 
BuildRequires:	libSDL_mixer-devel
BuildRequires:	hunspell-devel
BuildRequires:	curl-devel
BuildRequires:	libxml++-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRoot: %_tmppath/%{name}-build
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version

%description
TextRoom is a pretty basic full-screen text editor, heavily inspired
by similar text editors such as Q10, JDarkRoom and so on.

%prep
%setup -q 
%patch1 -p1
%patch2 -p0

%build
# adjust include path for 64bit
echo "INCLUDEPATH += %{_libdir}/glibmm-2.4/include %{_libdir}/glib-2.0/include %{_libdir}/libxml++-2.6/include" >> project.pri
sed -i -e "s+/usr/local+/usr+g" textroom.pro || return 1
qmake

%make 

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%name
cp -af application/resource/images/icons/* $RPM_BUILD_ROOT%{_datadir}/%name

mkdir -p  $RPM_BUILD_ROOT%{_datadir}/sounds
cp -af application/resource/sounds/*.wav $RPM_BUILD_ROOT%{_datadir}/sounds

cp -af application/src/ui/*.ui $RPM_BUILD_ROOT%{_datadir}/%name
cp -af application/resource/words.txt $RPM_BUILD_ROOT%{_datadir}/%name

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 application/resource/images/textroom.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 application/resource/images/textroom-doc.png $RPM_BUILD_ROOT%{_datadir}/%name
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/textroom.png -resize 48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/textroom.png

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 755 application/resource/desktop/textroom.desktop $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key=Version \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/myspell/dicts
cp -af application/resource/dict/* $RPM_BUILD_ROOT%{_datadir}/myspell/dicts


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}



%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/sounds/*wav
%{_datadir}/myspell/dicts/*

%changelog
* Sat Jun 20 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.2-2pclos2015
- rebuild against new hunspell version
- add BR hunspell-devel, curl-devel, libxml++-devel, imagemagick, desktop-file-utils

* Tue May 17 2011 Texstar <texstar at gmail.com> 0.8.2-1pclos2011
- 0.8.2 plus patch for hunspell

* Wed Jan 17 2010 slick50 <lxgator@gmail.com> 0.5.4-1pclos2010
- initial build

